Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1162528 - Disks are disappearing from /api/disks collection
Summary: Disks are disappearing from /api/disks collection
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 3.4.3
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
: 3.5.0
Assignee: Greg Padgett
QA Contact: Raz Tamir
URL:
Whiteboard: storage
Depends On:
Blocks: rhev35rcblocker rhev35gablocker
TreeView+ depends on / blocked
 
Reported: 2014-11-11 09:18 UTC by Raz Tamir
Modified: 2016-02-10 16:32 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-16 19:08:43 UTC
oVirt Team: Storage
Target Upstream Version:


Attachments (Terms of Use)
full_log (deleted)
2014-11-11 09:18 UTC, Raz Tamir
no flags Details

Description Raz Tamir 2014-11-11 09:18:24 UTC
Created attachment 956192 [details]
full_log

Description of problem:
When adding few disks (~6-10) in automation tests [1], [2] (just an example) after each add disk there is a call to GET method as part of the creation.
After creating disk X and keep adding more disks, after about 2 disks, disk X will disappear from the system

[1]http://jenkins.qa.lab.tlv.redhat.com:8080/job/Developer-job-ratamir/749/console

[2]http://jenkins.qa.lab.tlv.redhat.com:8080/view/Storage/view/3.4/job/3.4-storage_hotplug_full_test_plan-iscsi/106/console

in [1] full log (attached): 
at 16:41:24, 771 --> GET async_tasks_disk_2 exists
at 16:41:16, 703 --> GET async_tasks_disk_2 missing

Version-Release number of selected component (if applicable):
av13

How reproducible:
100%

Steps to Reproduce:
1. explained above
2.
3.

Actual results:


Expected results:


Additional info:

Comment 5 Raz Tamir 2014-12-07 08:49:44 UTC
Verified - vt13.1

Comment 6 Allon Mureinik 2015-02-16 19:08:43 UTC
RHEV-M 3.5.0 has been released, closing this bug.


Note You need to log in before you can comment on or make changes to this bug.